View Issue Details

IDProjectCategoryView StatusLast Update
0002226SOGosogo-toolpublic2013-03-15 16:12
Reportermgiunta Assigned Tojraby 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.4a 
Target Version2.0.5Fixed in Version2.0.5 
Summary0002226: sogo-ealarms-notify do not try to read /etc/sogo/sogo.conf
Description

After migrating by hand 'sogo account' from 'normal user' to 'system user', and moving my configuration from '/home/sogo/GNUstep/Defaults/.GNUstepDefaults' to '/etc/sogo/sogo.conf', 'sogo-ealarms-notify' complains about 'EMail alarms are disabled in the SOGo configuration.' and, of course, does not send any email notifity.

After investigating, I found that 'sogo-ealarms-notify' does not try to read '/etc/sogo/sogo.conf' but, instead, try to read '/var/lib/sogo/GNUstep/Defaults/.GNUstepDefaults' :

sudo -u sogo strace -o /tmp/ealamrmss.txt /usr/sbin/sogo-ealarms-notify 2>&1 | fgrep sogo.conf

#

sudo -u sogo strace /usr/sbin/sogo-ealarms-notify 2>&1 | fgrep .GNUstepDefaults

stat("/var/lib/sogo/GNUstep/Defaults/.GNUstepDefaults", 0x7fff5b454810) = -1 ENOENT (No such file or directory)
access("/var/lib/sogo/GNUstep/Defaults/.GNUstepDefaults", R_OK) = -1 ENOENT (No such file or directory)

I solve my problem copying my old '.GNUstepDefaults' in new 'sogo account' home directory, but it should be fixed.

TagsNo tags attached.

Activities

jraby

jraby

2013-02-08 16:25

viewer   ~0005377

Should be fixed in the next nightly build: https://github.com/inverse-inc/sogo/commit/4952ff7914dd0f3aa5c9c2bf5e04e29bf4317836

ludovic

ludovic

2013-03-15 16:12

administrator   ~0005423

No feedback provided in weeks, reopen if necessary.

Issue History

Date Modified Username Field Change
2013-02-04 05:34 mgiunta New Issue
2013-02-07 20:18 ludovic Status new => assigned
2013-02-07 20:18 ludovic Assigned To => jraby
2013-02-08 16:25 jraby Note Added: 0005377
2013-02-08 16:25 jraby Status assigned => feedback
2013-02-12 08:46 francis Target Version => 2.0.5
2013-03-15 16:12 ludovic Note Added: 0005423
2013-03-15 16:12 ludovic Status feedback => closed
2013-03-15 16:12 ludovic Resolution open => fixed
2013-03-15 16:12 ludovic Fixed in Version => 2.0.5